# WOK
TKWOK
WOKernel

# WOKernel_Parcel Class Reference

A parcel is a set of development Units delivered
from a team to another
.

`#include <WOKernel_Parcel.hxx>`

Inheritance diagram for WOKernel_Parcel:

[legend]

## Public Member Functions

Standard_EXPORT | WOKernel_Parcel (const Handle(TCollection_HAsciiString)&aname, const Handle(WOKernel_Warehouse)&anesting)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EntityCode () const
Standard_EXPORT Handle_TCollection_HAsciiString | Delivery () const
virtual Standard_EXPORT void | Open ()
| open an existing entity
virtual Standard_EXPORT void | Close ()
| closes entity
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetUnitList ()
virtual Standard_EXPORT Handle_WOKernel_File | GetUnitListFile () const

## Private Attributes

Handle_TCollection_HAsciiString | mydelivery

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_Parcel::WOKernel_Parcel | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(WOKernel_Warehouse)& | anesting
| ) |

## Member Function Documentation

virtual Standard_EXPORT void WOKernel_Parcel::Close | ( |  | ) | `[virtual]`

| Reimplemented from WOKernel_UnitNesting.

Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_Parcel::Delivery | ( |  | ) | const

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_Parcel::EntityCode | ( |  | ) | const`[virtual]`

| Implements WOKernel_Entity.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_Parcel::GetUnitList | ( |  | ) | `[private, virtual]`

| Implements WOKernel_UnitNesting.

virtual Standard_EXPORT Handle_WOKernel_File WOKernel_Parcel::GetUnitListFile | ( |  | ) | const`[private, virtual]`

| Implements WOKernel_UnitNesting.

Standard_EXPORT const WOKernel_Parcel::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKernel_UnitNesting.

virtual Standard_EXPORT void WOKernel_Parcel::Open | ( |  | ) | `[virtual]`

| Reimplemented from WOKernel_UnitNesting.

## Field Documentation

Handle_TCollection_HAsciiString WOKernel_Parcel::mydelivery `[private]`

The documentation for this class was generated from the following file:

- WOKernel_Parcel.hxx